# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(English.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%global cpan_version 0.999_002
Name:           perl-Perl-Critic-Moose
Version:        %(echo %{cpan_version} | tr '_' '.')
Release:        alt1_4
Summary:        Policies for Perl::Critic concerned with using Moose
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl-Critic-Moose/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EL/ELLIOTJS/Perl-Critic-Moose-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(Perl/Critic/Utils/PPI.pm)
BuildRequires:  perl(Readonly.pm)
# Tests only
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
BuildRequires:  perl(Perl/Critic/Violation.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Perl/Critic/Policy.pm) >= 1.098
Requires:       perl(Perl/Critic/Utils.pm) >= 1.098
Requires:       perl(Perl/Critic/Utils/PPI.pm) >= 1.098

# Remove underspecified dependencies


# Augment provide versions with development digits

Provides:       perl(Perl/Critic/Moose.pm) = %{version}
Provides:       perl(Perl/Critic/Policy/Moose/ProhibitMultipleWiths.pm) = %{version}
Provides:       perl(Perl/Critic/Policy/Moose/ProhibitNewMethod.pm) = %{version}
Provides:       perl(Perl/Critic/Policy/Moose/RequireCleanNamespace.pm) = %{version}
Provides:       perl(Perl/Critic/Policy/Moose/RequireMakeImmutable.pm) = %{version}
Source44: import.info
%filter_from_requires /^^perl\\(Perl::Critic::(Policy/d
%filter_from_requires /^Utils(/d
%filter_from_requires /^::PPI))\\)$/d
%filter_from_provides /^^perl\\(Perl::Critic::(Policy::)?Moose(::.*)?\\)\\s*=/d

%description
Some Perl::Critic policies that will help you keep your code in good shape
with regards to Moose.

%prep
%setup -q -n Perl-Critic-Moose-%{cpan_version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> %(echo 0.999_002 | tr '_' '.')-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> %(echo 0.999_002 | tr '_' '.')-alt1_3
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> %(echo 0.999_002 | tr '_' '.')-alt1_1
- fc import

